dnl # $Id: schoolLAN.mc,v 4.6 2004/06/17 09:00:03 wytze Exp $
divert(-1)
dnl #
dnl #
dnl # Do not edit /etc/sendmail.cf directly unless you cannot do what you
dnl # want in the master config file (/usr/share/sendmail/cf/sample.mc).
dnl # To create /etc/sendmail.cf from the master:
dnl #     cd /usr/share/sendmail/cf
dnl #     mv /etc/sendmail.cf /etc/sendmail.cf.save
dnl #     make sample.cf
dnl #
dnl # Then kill and restart sendmail:
dnl #     sh -c 'set `cat /var/run/sendmail.pid`; kill $1; shift; eval "$@"'
dnl #
dnl # See /usr/share/sendmail/README for help in building a configuration file.
dnl #
divert(0)
VERSIONID(`@(#)GENERIC.schoolbus.nl (Jan 1999)')

dnl # CERT recommndation, make sure you have them defined in the passwd/group file
dnl # make sure they have no existing home dir nor shell
define(`confDEF_USER_ID', `mailnull')dnl
dnl # We use for intern via the mailer table a special HoldExpensive option
define(`confCON_EXPENSIVE',`True')
dnl # We sort on host to cause emptying the queue asap for one host
dnl # and not mixing expensive connections.
define(`confQUEUE_SORT_ORDER',`host')
# We use majordomo e-mail list handling
define(`ALIAS_FILE',`/etc/aliases,/home/majordomo/majordomo.aliases')
define(`confTRUSTED_USERS',`mailman')


dnl # Specify your OS type below
OSTYPE(linux)dnl

dnl # NOTE: `dnl' is the m4 command for delete-to-newline; these are
dnl # used to prevent those lines from appearing in the sendmail.cf.
dnl #
dnl # UUCP-only sites should configure FEATURE(`nodns') and SMART_HOST.
dnl # The uucp-dom mailer requires MAILER(smtp).  For more info, see
dnl # `UUCP Config' at the end of this file.
FEATURE(`nouucp',`reject')

dnl # If you are not running DNS at all, it is important to use
dnl # FEATURE(nodns) to avoid having sendmail queue everything
dnl # waiting for the name server to come up.
dnl # Example:
dnl FEATURE(`nodns')

dnl # If you want a spam protector include the following
dnl FEATURE(dnsbl, `inputs.orbz.org') dnl

dnl # if you want virus scanning running include the next one
define(_FFR_MILTER', `i') dnl
dnl # INPUT_MAIL_FILTER(`milter-amavis',`S=local:/var/amavis/amavis-milter.sock, T=S:10m;R:10m;E:10m') dnl

dnl # For obscurity reasonings we try to obscure ourselves
dnl # default define(`confSMTP_LOGIN_MSG',$j Sendmail $v/$Z; $b)
define(`confSMTP_LOGIN_MSG',`$j schoolLAN Eric Allman his MTA $v/$Z; $b')

dnl # Use FEATURE(`nocanonify') to skip address canonification via $[ ... $].
dnl # This would generally only be used by sites that only act as mail gateways
dnl # or which have user agents that do full canonification themselves.
dnl # You may also want to use:
dnl #     define(`confBIND_OPTS',`-DNSRCH -DEFNAMES')
dnl # to turn off the usual resolver options that do a similar thing.
dnl # Examples:
FEATURE(`nocanonify')
define(`confBIND_OPTS',`-DNSRCH -DEFNAMES')

dnl # privacy options:
dnl # authwarnings (default) enable X-authentication-Warning headers
dnl # goaway much checking for privacy and security
dnl # needexpnhelo require helo before expn
dnl # needmailhelo require helo before mail
dnl # needvrfyhelo require helo before vrfy
dnl # noexpn disallow all smtp expn
dnl # noreceipts prevent retrun receipts
dnl # novrfy disallow smtp vrfy
dnl # public no extra checking for privacy or security
dnl # restrictmailq restrict who may run mailq
dnl # restrictqrun restrict who processes the queue
define(`confPRIVACY_FLAGS',`authwarnings,needmailhelo,noexpn,novrfy')

dnl # Normally MAIL FROM: commands in the SMTP session will be
dnl # refused if the host part of the argument to MAIL FROM: cannot
dnl # be located in the host name service (e.g., DNS). If you are
dnl # inside a firewall that has only a limited view of the
dnl # Internet host name space, this could cause problems. In this
dnl # case you probably want to use tis feature to accept all
dnl # domains on input, even if they are unresolvable.
FEATURE(`accept_unresolvable_domains')

dnl # Include the local host domain even on locally delivered
dnl # mail. Normqally it is not added on unqualified names.
dnl # However, if you use a shared message store but not use
dnl # the same user name space everywhere, you may need the host
dnl # name on local names.
FEATURE(always_add_domain)

FEATURE(`local_procmail',/usr/bin/procmail)

dnl # If /bin/hostname is not set to the FQDN (Full Qualified Domain Name;
dnl # for example, foo.bar.com) *and* you are not running a nameserver
dnl # (that is, you do not have an /etc/resolv.conf and are not running
dnl # named) *and* the canonical name for your machine in /etc/hosts
dnl # (the canonical name is the first name listed for a given IP Address)
dnl # is not the FQDN version then define NEED_DOMAIN and specify your
dnl # domain using `DD' (for example, if your hostname is `foo.bar.com'
dnl # then use DDbar.com).  If in doubt, just define it anyway; doesn't hurt.
dnl # Examples:
define(`NEED_DOMAIN', `1')
DDschoollan2.schoolbus.nl

dnl # Define SMART_HOST if you want all outgoing mail to go to a central
dnl # site.  SMART_HOST applies to names qualified with non-local names.
dnl # Example:
dnl # define(`SMART_HOST', `smtp:host.some.domain')

dnl # Define MAIL_HUB if you want all incoming mail sent to a
dnl # centralized hub, as for a shared /var/spool/mail scheme.
dnl # MAIL_HUB applies to names qualified with the name of the
dnl # local host (e.g., "eric@foo.bar.com").
dnl # Example:
dnl     define(`MAIL_HUB', `smtp:mailhub.bar.com')

dnl # LOCAL_RELAY is a site that will handle unqualified names, this is
dnl # basically for site/company/department wide alias forwarding.  By
dnl # default mail is delivered on the local host.
dnl # Example:
dnl   define(`LOCAL_RELAY', `smtp:host.some.domain')

dnl # Relay hosts for fake domains: .UUCP .BITNET .CSNET
dnl # Examples:
dnl     define(`UUCP_RELAY', `mailer:your_relay_host')
dnl     define(`BITNET_RELAY', `mailer:your_relay_host')
dnl     define(`CSNET_RELAY', `mailer:your_relay_host')

dnl # Define `MASQUERADE_AS' is used to hide behind a gateway.
dnl # add any accounts you wish to be exposed (i.e., not hidden) to the
dnl # `EXPOSED_USER' list.
dnl # Example:
dnl # Masquerade def is $M which relates to domain deletion rules
MASQUERADE_AS(`schoollan2.schoolbus.nl')

dnl # If masquerading, EXPOSED_USER defines the list of accounts
dnl # that retain the local hostname in their address.
dnl # Example:
EXPOSED_USER(`postmaster hostmaster webmaster')

dnl # If masquerading is enabled (using MASQUERADE_AS above) then
dnl # FEATURE(allmasquerade) will cause recipient addresses to
dnl # masquerade as being from the masquerade host instead of
dnl # getting the local hostname.  Although this may be right for
dnl # ordinary users, it breaks local aliases that aren't exposed
dnl # using EXPOSED_USER.
dnl # Example:
FEATURE(allmasquerade)

dnl # Define the alias file if it's on an unusual place
dnl   define(`ALIAS_FILE', `/etc/mail/aliases')

dnl # Define the local smartmailer names for resolution of
dnl # names not with a local account or local alias
dnl # define(`LUSER_RELAY', host.some.domain)

dnl # table usage
FEATURE(mailertable, `hash -o /etc/mail/mailertable')
FEATURE(`domaintable', `hash -o /etc/mail/domaintable')

dnl # if not automatically obtainable
define(`confDOMAIN_NAME', `schoollan2.schoolbus.nl')

dnl # allow relaying if its from local domain (via return path)
dnl FEATURE(relay_local_from)

dnl #RealTime Blackhole list
dnl FEATURE(rbl)

dnl # Use an acces db list for relay control
FEATURE(access_db)

dnl # enable full name usage from password file
define(`confMATCH_GECOS', `True')

dnl # define a better From header
define(`confFROM_HEADER', `$g$?x ($x)$.')

dnl # recognize other domains as local as well
dnl # Cw theus.some.domain some.domain
Cw schoollan2.schoolbus.nl

dnl # Some like more .forward searches as path
define(`confFORWARD_PATH', `/var/forward/$u:$z/.forward.$w:$z/.forward')

dnl # Include any required mailers
MAILER(local)
MAILER(smtp)
MAILER(procmail)
dnl # MAILER(internal)
#####  @(#)internal.m4    8.38 (NLnet) 12/31/98  #####

Minternal,      P=[IPC], F=mDFMuXa, S=EnvFromSMTP/HdrFromSMTP, R=EnvToSMTP/HdrFromSMTP, E=\r\n, L=990,
                T=DNS/RFC822/SMTP,
                A=TCP $h

MISDN,          P=[IPC], F=mDFMuXa, S=EnvFromSMTP/HdrFromSMTP, R=EnvToSMTP/HdrFromSMTP, E=\r\n, L=990,
                T=DNS/RFC822/SMTP,
                A=TCP $h



# be sure the S11 and S31 are defined by the smtp.m4 macro setting

dnl   MAILER(uucp)
dnl   define(`FAX_MAILER_PATH', `/opt/fax/lib/mailfax')
dnl   MAILER(fax)

LOCAL_CONFIG
dnl # If this machine should be accepting mail as local for other hostnames
dnl # that are MXed to this hostname then add those hostnames below using
dnl # a line like:
dnl #     Cw bar.com
dnl # The most common case where you need this is if this machine is supposed
dnl # to be accepting mail for the domain.  That is, if this machine is
dnl # foo.bar.com and you have an MX record in the DNS that looks like:
dnl #     bar.com.  IN      MX      0 foo.bar.com.
dnl # Then you will need to add `Cw bar.com' to the config file for foo.bar.com.
dnl # DO NOT add Cw entries for hosts whom you simply store and forward mail
dnl # for or else it will attempt local delivery.  So just because bubba.bar.com
dnl # is MXed to your machine you should not add a `Cw bubba.bar.com' entry
dnl # unless you want local delivery and your machine is the highest-priority
dnl # MX entry (that is is has the lowest preference value in the DNS.
dnl # local CraZyNess
dnl # UUCP addresses which are not domains
dnl #CQsmtp02 smtp01
# external MASQUERADE domain hosts go via the RELAY
DTschoollan2.schoolbus.nl
CT$w www ftp


LOCAL_RULE_0
dnl # `LOCAL_RULE_0' can be used to introduce alternate delivery rules.
dnl # For example, let's say you accept mail via an MX record for widgets.com
dnl # (don't forget to add widgets.com to your Cw list, as above).
dnl #
dnl # If wigets.com only has an AOL address (widgetsinc) then you could use:
dnl # R$+ <@ widgets.com.>  $#smtp $@aol.com. $:widgetsinc<@aol.com.>
dnl #
dnl # Or, if widgets.com was connected to you via UUCP as the UUCP host
dnl # widgets you might have:
dnl # R$+ <@ widgets.com.>   $#uucp $@widgets $:$1<@widgets.com.>
dnl # next line forces local smtp known hosts in domain masquerade
dnl # to reach directly, others go via SMARTHOST
R$* < @ $~T . $T . > $*	$#smtp $@ $2.$T $: $1 < @ $2.$T. > $3

dnl ###
dnl ### UUCP Config
dnl ###

dnl # `SITECONFIG(site_config_file, name_of_site, connection)'
dnl # site_config_file the name of a file in the cf/siteconfig
dnl #                  directory (less the `.m4')
dnl # name_of_site     the actual name of your UUCP site
dnl # connection       one of U, W, X, or Y; where U means the sites listed
dnl #                  in the config file are connected locally;  W, X, and Y
dnl #                  build remote UUCP hub classes ($=W, etc).
dnl # You will need to create the specific site_config_file in
dnl #     /usr/share/sendmail/siteconfig/site_config_file.m4
dnl # The site_config_file contains a list of directly connected UUCP hosts,
dnl # e.g., if you only connect to UUCP site gargoyle then you could just:
dnl #   echo 'SITE(gargoyle)' > /usr/share/sendmail/siteconfig/uucp.foobar.m4
dnl # Example:
dnl     SITECONFIG(`uucp.foobar', `foobar', U)

dnl # If you are on a local SMTP-based net that connects to the outside
dnl # world via UUCP, you can use LOCAL_NET_CONFIG to add appropriate rules.
dnl # For example:
dnl #   define(`SMART_HOST', suucp:uunet)
dnl   LOCAL_NET_CONFIG
dnl   R$* < @ $~T . $M . > $*	$#smtp $@ $2.$M $: $1 < @ $2.$M. > $3
dnl  R$* < @ $~T . $j > $*	$#smtp $@ $2.$j. $: $1 < @ $2.$j. > $3
dnl # This will cause all names that end in your domain name ($m) to be sent
dnl # via SMTP; anything else will be sent via suucp (smart UUCP) to uunet.
dnl # If you have FEATURE(nocanonify), you may need to omit the dots after
dnl # the $m.
dnl #
dnl # If you are running a local DNS inside your domain which is not
dnl # otherwise connected to the outside world, you probably want to use:
dnl #   define(`SMART_HOST', smtp:fire.wall.com)
dnl   LOCAL_NET_CONFIG
dnl   R$* < @ $* . > $*	$#smtp $@ $2. $: $1 < @ $2. > $3
dnl # That is, send directly only to things you found in your DNS lookup;
dnl # anything else goes through SMART_HOST.

dnl # `LOCAL_RULE_3' can be used to introduce alternative address processing
